/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
*/

/*	Copyright (c) 1988 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: addwch.c 1.2 89/11/30 $@(#)curses:screen/addwch.c 1.0 AT&T-UP"

#include	"curses_inc.h"



/*
**	Add to 'win' a character at (curx,cury).
*/
waddwch(win,c)
WINDOW	*win;
chtype	c;
	{
	int		i, width;
	unsigned char	buf[CSMAX];
	chtype		a;
	wchar_t		code;
	unsigned char  	*p;

	a = _ATTR(c);
	code = c&A_CHARTEXT;

	/* translate the process code to character code */
	width = wctomb(buf, code & TRIM);

	p = buf;
	/* now call waddch to do the real work */
	while(width--)
		if(waddch(win, a|*p++) == ERR)
			return ERR;
	return OK;
	}
